Bug 69609 - New port: net-mgmt/netwox version 5.20.0
Summary: New port: net-mgmt/netwox version 5.20.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey Matveychuk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-26 09:30 UTC by Mohacsi Janos
Modified: 2004-08-01 10:40 UTC (History)
0 users

See Also:


Attachments
file.shar (4.26 KB, text/plain)
2004-07-26 09:30 UTC, Mohacsi Janos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohacsi Janos 2004-07-26 09:30:19 UTC
New port: net-mgmt/netwox version 5.20.0
	
Toolbox netwox helps to find and solve network problems :
  - sniff, spoof
  - clients, servers
  - DNS, FTP, HTTP, IRC, NNTP, SMTP, SNMP, SYSLOG, TELNET, TFTP
  - scan, ping, traceroute

How-To-Repeat: 	Apply this shar
Comment 1 Sergey Matveychuk freebsd_committer 2004-07-26 10:52:12 UTC
This is just renamed new version of security/lcrzoex.
Is there a reason to make the new port?

-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2004-07-26 12:43:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 3 Sergey Matveychuk freebsd_committer 2004-07-26 12:44:43 UTC
State Changed
From-To: open->feedback

Waiting for maintainer approval.
Comment 4 Sergey Matveychuk freebsd_committer 2004-07-26 18:40:54 UTC
State Changed
From-To: feedback->repocopy

Repocopy request: 
security/lcrzoex -> net-mgmt/netwox 


Comment 5 Sergey Matveychuk freebsd_committer 2004-07-26 18:40:54 UTC
Responsible Changed
From-To: sem->portmgr

Repocopy request: 
security/lcrzoex -> net-mgmt/netwox
Comment 6 Mohacsi Janos 2004-07-28 15:29:46 UTC
Here is the unified diff to a new version:


diff -ruN netwox.bak/Makefile netwox/Makefile
--- netwox.bak/Makefile	Thu May 27 13:28:09 2004
+++ netwox/Makefile	Wed Jul 28 16:17:43 2004
@@ -1,31 +1,38 @@
-# New ports collection makefile for:	lcrzoex
-# Date created:		Wed Apr 10 02:42:20 CEST 2002
-# Whom:			king@v2project.com
+# New ports collection makefile for:	netwox
+# Date created:				26.07.2004
+# Whom:					janos.mohacsi@bsd.hu
  #
-# $FreeBSD: ports/security/lcrzoex/Makefile,v 1.8 2004/05/25 15:20:37 pav Exp $
+# $FreeBSD$
  #

-PORTNAME=	lcrzoex
-PORTVERSION=	4.17.0
-CATEGORIES=	security
-MASTER_SITES=	http://www.laurentconstantin.com/common/netw/netwib/download/v4/ \
-		http://fresh.t-systems-sfr.com/unix/src/privat2/
-EXTRACT_SUFX=	-src.tgz
-
-MAINTAINER=	king@v2project.com
-COMMENT=	Lcrzoex contains over 300 functionnalities using network library lcrzo
-
-BUILD_DEPENDS=	${LOCALBASE}/include/lcrzo_debugdefs.h:${PORTSDIR}/security/lcrzo
-
-WRKSRC=		${WRKDIR}/${PKGNAME}-src/src
-
-MAN1=		lcrzoex.1
-PLIST_FILES=	bin/lcrzoex
-
-pre-configure:
-	cd ${WRKSRC} && ${SH} ${WRKSRC}/genemake
+PORTNAME=	netwox
+PORTVERSION=	5.20.0
+CATEGORIES=	net-mgmt security ipv6
+MASTER_SITES=	http://www.laurentconstantin.com/common/netw/netwox/download/v5/ \
+		http://membres.lycos.fr/lauconstantin/common/netw/netwox/download/v5/ \
+		http://laurentconstantin.free.fr/common/netw/netwox/download/v5/
+DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tgz ${PORTNAME}-${PORTVERSION}-doc_html.tgz
+
+MAINTAINER=	janos.mohacsi@bsd.hu
+COMMENT=	Netwox a network testing toolbox
+
+BUILD_DEPENDS=	${LOCALBASE}/bin/netwib-config:${PORTSDIR}/net/netwib
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-src/src
+USE_REINPLACE=	yes
+MAN1=		netwox.1 netwox520.1
+
+do-configure:
+		@${REINPLACE_CMD} \
+		-e 's|%%PREFIX%%|${PREFIX}|' \
+		${WRKSRC}/config.dat
+		(cd ${WRKSRC} ; ${SH} ${WRKSRC}/genemake )

  post-install:
-	@${CAT}	${PKGMESSAGE}
+		strip ${LOCALBASE}/bin/${PORTNAME}
+.ifndef(NOPORTDOCS)
+		@${MKDIR} ${DOCSDIR}
+		@${CP} -R ${WRKSRC}/../../${PORTNAME}-${PORTVERSION}-doc_html/* ${DOCSDIR}
+.endif

  .include <bsd.port.mk>
diff -ruN netwox.bak/distinfo netwox/distinfo
--- netwox.bak/distinfo	Thu Apr  1 09:23:11 2004
+++ netwox/distinfo	Wed Jul 28 16:17:09 2004
@@ -1,2 +1,4 @@
-MD5 (lcrzoex-4.17.0-src.tgz) = ad9732adb9f1a02d1cb1fbb12112db53
-SIZE (lcrzoex-4.17.0-src.tgz) = 336521
+MD5 (netwox-5.20.0-src.tgz) = 4785cec8b11099e51f457ef9b2cbe915
+SIZE (netwox-5.20.0-src.tgz) = 341139
+MD5 (netwox-5.20.0-doc_html.tgz) = 6e776f08f7d4b59f8d44d84c4aece421
+SIZE (netwox-5.20.0-doc_html.tgz) = 60685
diff -ruN netwox.bak/files/patch-config.dat netwox/files/patch-config.dat
--- netwox.bak/files/patch-config.dat	Thu Jan  1 01:00:00 1970
+++ netwox/files/patch-config.dat	Wed Jul 28 16:17:09 2004
@@ -0,0 +1,14 @@
+
+$FreeBSD$
+
+--- config.dat.orig	Mon Jul 26 09:22:03 2004
++++ config.dat	Mon Jul 26 09:22:36 2004
+@@ -4,7 +4,7 @@
+ 
+ ##########################################################################
+ ### installation prefix directory of netwib [should not need to be modified]
+-NETWIBDEF_INSTPREFIX=/usr/local
++NETWIBDEF_INSTPREFIX=%%PREFIX%%
+ 
+ ##########################################################################
+ ### installation destination directory [should not need to be modified]
diff -ruN netwox.bak/pkg-descr netwox/pkg-descr
--- netwox.bak/pkg-descr	Tue Mar  4 12:12:06 2003
+++ netwox/pkg-descr	Wed Jul 28 16:17:09 2004
@@ -1,24 +1,7 @@
-Lcrzoex contains over 300 functionalities using network library lcrzo.
-Lcrzoex can be used in the following contexts :
-  - discover the Ethernet address of a computer (number 2, 3, 134, etc.)
-  - sniff your LAN to detect what's going on (number 7, 8, 9, etc.)
-  - check the checksums created by a network program which isn't working 
-	(number 16, 17, 18, etc.)
-  - intercept a session and replay it as many times you want to strictly 
-	test your application (number 10, 11, 12, 22, etc.)
-  - verify if a router is well configured even if the needed computers are 
-	down (number 48, ..., 53, etc.)
-  - check if your router/firewall/computer blocks 
-    - IP protocols (number 29, ..., 34, etc.)
-    - IP options (number 29, ..., 34, 73, ..., 79, etc.), source routing 
-	(number 45, 56, 59, 62, etc.)
-    - IP fragments (number 44, 55, 58, 61, 72, etc.)
-    - TCP options (number 48, ..., 53, etc.)
-    - ICMP types (number 65, ..., 70, etc.)
-    - ARP poisoning (number 80, 81, 82, 83, etc.)
-  - create a tcp/udp client with a special local port (number 85, 89, 86, 93, 
-	97, etc.)
-  - convert between numbers (number 139, ..., 148, etc.)
-  - etc.
+Toolbox netwox helps to find and solve network problems :
+  - sniff, spoof
+  - clients, servers
+  - DNS, FTP, HTTP, IRC, NNTP, SMTP, SNMP, SYSLOG, TELNET, TFTP
+  - scan, ping, traceroute

-WWW: http://www.laurentconstantin.com/en/lcrzoex/
+WWW: http://www.laurentconstantin.com/en/netw/netwox/
diff -ruN netwox.bak/pkg-message netwox/pkg-message
--- netwox.bak/pkg-message	Tue Jun 25 12:57:27 2002
+++ netwox/pkg-message	Thu Jan  1 01:00:00 1970
@@ -1,4 +0,0 @@
---------
-Check the online documentation in :
-http://www.laurentconstantin.com/common/lcrzoex/doc/en/index.html
---------
diff -ruN netwox.bak/pkg-plist netwox/pkg-plist
--- netwox.bak/pkg-plist	Thu Jan  1 01:00:00 1970
+++ netwox/pkg-plist	Wed Jul 28 16:17:09 2004
@@ -0,0 +1,27 @@
+bin/netwox520
+bin/netwox
+%%PORTDOCS%%%%DOCSDIR%%/html/examples.html
+%%PORTDOCS%%%%DOCSDIR%%/html/routerandfw.html
+%%PORTDOCS%%%%DOCSDIR%%/html/sendip6.html
+%%PORTDOCS%%%%DOCSDIR%%/html/tutorials.html
+%%PORTDOCS%%%%DOCSDIR%%/html/um.html
+%%PORTDOCS%%%%DOCSDIR%%/images/banner_netwox.jpg
+%%PORTDOCS%%%%DOCSDIR%%/index.html
+%%PORTDOCS%%%%DOCSDIR%%/txt/addonetoolunix.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/addonetoolwindows.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/installbin.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/installsrcunix.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/installsrcwindows.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/presentation.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/probleminstallbin.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/probleminstallunix.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/probleminstallwindows.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/problemreport.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/problemusagebin.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/problemusageunix.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/problemusagewindows.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/unimplemented.txt
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/txt
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/images
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
Comment 7 Joe Marcus Clarke freebsd_committer 2004-07-30 18:11:52 UTC
State Changed
From-To: repocopy->open

Repo-copy completed. 


Comment 8 Joe Marcus Clarke freebsd_committer 2004-07-30 18:11:52 UTC
Responsible Changed
From-To: portmgr->sem

Repo-copy completed.
Comment 9 Sergey Matveychuk freebsd_committer 2004-08-01 10:40:33 UTC
State Changed
From-To: open->closed

Committed, thanks!